#pragma once
#include "colorstatic.h"
#include "afxwin.h"


// CDlg_ThermalBridging dialog

class CDlg_ThermalBridging : public CDialog
{
	DECLARE_DYNAMIC(CDlg_ThermalBridging)

public:
	CDlg_ThermalBridging(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_ThermalBridging();

// Dialog Data
	enum { IDD = IDD_THERMALBRIDGING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxesForThermalBridgingDlg();
	afx_msg void DisplayValuesForThermalBridgingDlg();
	afx_msg void ReadInputsFromThermalBridgingDlg();
	afx_msg void EnterOrCalculateyValue();
	afx_msg void EnableOrDisableEditBoxes();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelTherm;
	CEdit m_editGFPerimeter;
	CEdit m_editFloorWithingDwellinPerimeter;
	CEdit m_editFloorBetweenDwellinPerimeter;
	CEdit m_editBalconyWithingDwellingLength;
	CEdit m_editBalconyBetweenDwellingLength;
	CEdit m_editEavesAtCeiling;
	CEdit m_editEavesAtRafter;
	CEdit m_editGableAtCeiling;
	CEdit m_editGableAtRafter;
	CEdit m_editLengthNormalCorners;
	CEdit m_editLengthInvertedCorners;
	CEdit m_edirPartWallBetweenDwelling;

	CComboBox m_comboMetalBoxLintelUserDef;
	CComboBox m_comboOtherLintelUserDef;
	CComboBox m_comboJambUserDef;
	CComboBox m_comboGFPerimeterUserDef;
	CComboBox m_comboFloorWithinDwellingUserDef;
	CComboBox m_comboFloorBwDwellingUserDef;
	CComboBox m_comboBalcWithinDwellingLengthUserDef;
	CComboBox m_comboBalcBwDwellingLengthUserDef;
	CComboBox m_comboEavesInsAtCeilingUserDef;
	CComboBox m_comboEavesInsAtRafterUserDef;
	CComboBox m_comboGableInsAtCeilingUserDef;
	CComboBox m_comboGableInsAtRafetUserDef;
	CComboBox m_comboLengthOfNormalCornersUserDef;
	CComboBox m_comboLengthOfInvertedCornersUserDef;
	CComboBox m_comboPartWallBetweenDwellingUserDef;
	
	CEdit m_editMetalBoxLintelSiValue;
	CEdit m_editOtherLintelsSiValue;
	CEdit m_editSillSiValue;
	CEdit m_editJambSiValue;
	CEdit m_editGFPerimeterSiValue;
	CEdit m_editFloorWithinDwellingSiValue;
	CEdit m_editFloorBetweenDwellingSiValue;
	CEdit m_editBalconyWithinDwellingSiValue;
	CEdit m_editBalconyBwDwellingSiValue;
	CEdit m_editEavesInsAtCelingSiValue;
	CEdit m_editEavesInsAtRafterSiValue;
	CEdit m_editGableInsAtCeilingSiValue;
	CEdit m_editGableInsAtRafterSiValue;
	CEdit m_editlLengthOfNormalCornersSiValue;
	CEdit m_editLengthOfInvertedCornersSiValue;
	CEdit m_editPartBwDwellingLengthSiValue;
	CEdit m_editMetalBoxLintelResult;
	CEdit m_editOtherLintelsResult;
	CEdit m_editSillResult;
	CEdit m_editJambResult;
	CEdit m_editGFPerimeterResult;
	CEdit m_editFloorWithinDwellingPerimeterResult;
	CEdit m_editFloorBetweenDwellingPerimeterResult;
	CEdit m_editBalcWithDwellingLengthResult;
	CEdit m_editBalconyBwDwellingLengthResult;
	CEdit m_editEavesInsCeilingResult;
	CEdit m_editEavesInsRafterResult;
	CEdit m_editGableInsCeilingResult;
	CEdit m_editGableInsRafterResult;
	CEdit m_editLengthNormalCornersResult;
	CEdit m_editLengthInvertedCornersResult;
	CEdit m_editPartyWallBwDwellingResult;

	CString str_editGFPerimeter;
	CString str_editFloorWithingDwellinPerimeter;
	CString str_editFloorBetweenDwellinPerimeter;
	CString str_editBalconyWithingDwellingLength;
	CString str_editBalconyBetweenDwellingLength;
	CString str_editEavesAtCeiling;
	CString str_editEavesAtRafter;
	CString str_editGableAtCeiling;
	CString str_editGableAtRafter;
	CString str_editLengthNormalCorners;
	CString str_editLengthInvertedCorners;
	CString str_edirPartWallBetweenDwelling;

	CString str_comboMetalBoxLintelUserDef;
	CString str_comboOtherLintelUserDef;
	CString str_comboSillUserDef;
	CString str_comboJambUserDef;
	CString str_comboGFPerimeterUserDef;
	CString str_comboFloorWithinDwellingUserDef;
	CString str_comboFloorBwDwellingUserDef;
	CString str_comboBalcWithinDwellingLengthUserDef;
	CString str_comboBalcBwDwellingLengthUserDef;
	CString str_comboEavesInsAtCeilingUserDef;
	CString str_comboEavesInsAtRafterUserDef;
	CString str_comboGableInsAtCeilingUserDef;
	CString str_comboGableInsAtRafetUserDef;
	CString str_comboLengthOfNormalCornersUserDef;
	CString str_comboLengthOfInvertedCornersUserDef;
	CString str_comboPartWallBetweenDwellingUserDef;

	CString str_editMetalBoxLintelSiValue;
	CString str_editOtherLintelsSiValue;
	CString str_editSillSiValue;
	CString str_editJambSiValue;
	CString str_editGFPerimeterSiValue;
	CString str_editFloorWithinDwellingSiValue;
	CString str_editFloorBetweenDwellingSiValue;
	CString str_editBalconyWithinDwellingSiValue;
	CString str_editBalconyBwDwellingSiValue;
	CString str_editEavesInsAtCelingSiValue;
	CString str_editEavesInsAtRafterSiValue;
	CString str_editGableInsAtCeilingSiValue;
	CString str_editGableInsAtRafterSiValue;
	CString str_editlLengthOfNormalCornersSiValue;
	CString str_editLengthOfInvertedCornersSiValue;
	CString str_editPartBwDwellingLengthSiValue;

	CString str_editMetalBoxLintelResult;
	CString str_editOtherLintelsResult;
	CString str_editSillResult;
	CString str_editJambResult;
	CString str_editGFPerimeterResult;
	CString str_editFloorWithinDwellingPerimeterResult;
	CString str_editFloorBetweenDwellingPerimeterResult;
	CString str_editBalcWithDwellingLengthResult;
	CString str_editBalconyBwDwellingLengthResult;
	CString str_editEavesInsCeilingResult;
	CString str_editEavesInsRafterResult;
	CString str_editGableInsCeilingResult;
	CString str_editGableInsRafterResult;
	CString str_editLengthNormalCornersResult;
	CString str_editLengthInvertedCornersResult;
	CString str_editPartyWallBwDwellingResult;

	CComboBox m_comboSillUserDef_2;
	CString str_comboSillUserDef_2;
	CButton m_btnEnter;
	CButton m_btnCalculate;
	
	CEdit m_editYvalue;
	CString str_editYvalue;
	
	int m_chkEnter;
	int m_chkCalculate;

	afx_msg void OnCbnSelchangeCombo2();
	afx_msg void OnEnChangeEditGfperimeter();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo11();
	afx_msg void OnCbnSelchangeCombo12();
	afx_msg void OnCbnSelchangeCombo13();
	afx_msg void OnCbnSelchangeCombo14();
	afx_msg void OnCbnSelchangeCombo15();
	afx_msg void OnCbnSelchangeCombo16();
	afx_msg void OnCbnSelchangeCombo17();
	afx_msg void OnCbnSelchangeCombo18();
	afx_msg void OnCbnSelchangeCombo19();
	afx_msg void OnCbnSelchangeCombo20();
	afx_msg void OnCbnSelchangeCombo21();
	afx_msg void OnCbnSelchangeCombo22();
	afx_msg void OnCbnSelchangeCombo23();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnEnChangeEditFbwdwellingperimeter();
	afx_msg void OnEnChangeEditFwithingdwellingperimeter();
	afx_msg void OnEnChangeEditBalcwithdwellinglendth();
	afx_msg void OnEnChangeEditBalconybetweendwellinglength();
	afx_msg void OnEnChangeEditEavesinsatceiling();
	afx_msg void OnEnChangeEditEvaesinsatrafter();
	afx_msg void OnEnChangeEditGableatceiling();
	afx_msg void OnEnChangeEditGableatrafter();
	afx_msg void OnEnChangeEditNormalcornerslength();
	afx_msg void OnEnChangeEditInvertedcornerslength();
	afx_msg void OnEnChangeEditPartywall();
	afx_msg void OnEnChangeEditMetalboxlintelvalue();
	afx_msg void OnEnChangeEditotherlintelvalue();
	afx_msg void OnEnChangeEditsilllvalue();
	afx_msg void OnEnChangeEditjambvalue();
	afx_msg void OnEnChangeEditGfperimeter2();
	afx_msg void OnEnChangeEditFbwdwellingperimeter2();
	afx_msg void OnEnChangeEditFwithingdwellingperimeter2();
	afx_msg void OnEnChangeEditBalcwithdwellinglendth2();
	afx_msg void OnEnChangeEditBalconybetweendwellinglength2();
	afx_msg void OnEnChangeEditEavesinsatceiling2();
	afx_msg void OnEnChangeEditEvaesinsatrafter2();
	afx_msg void OnEnChangeEditGableatceiling2();
	afx_msg void OnEnChangeEditGableatrafter2();
	afx_msg void OnEnChangeEditNormalcornerslength2();
	afx_msg void OnEnChangeEditInvertedcornerslength2();
	afx_msg void OnEnChangeEditPartywall2();	
	afx_msg void OnCbnSelchangeCombo5();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnEnChangeEditGfperimeter4();
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();

	afx_msg BOOL PreTranslateMessage(MSG* pMsg);

	
	
};

